classification
Title: The spawn function should return stderr.
Type: enhancement Stage: resolved
Components: Distutils2, Windows Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, eric.araujo, pitrou, tarek
Priority: normal Keywords:

Created on 2011-05-21 14:26 by pitrou, last changed 2016-05-06 12:33 by berker.peksag. This issue is now closed.

Messages (7)
msg136441 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-21 14:26
Also, *please* provide stderr in the error message when an external command fails. Otherwise, it's impossible to properly debug failure of external commands.


======================================================================
ERROR: test_build_ext (packaging.tests.test_command_build_ext.BuildExtTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows\build\lib\packaging\compiler\msvc9compiler.py", line 622, in link
    self.spawn([self.linker] + ld_args)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows\build\lib\packaging\compiler\ccompiler.py", line 847, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows\build\lib\packaging\util.py", line 783, in spawn
    raise PackagingExecError(msg % (cmd, exit_status))
packaging.errors.PackagingExecError: command '['C:\\Program Files\\Microsoft Visual Studio 9.0\\VC\\BIN\\link.exe', '/DLL', '/nologo', '/INCREMENTAL:no', '/DEBUG', '/pdb:None', '/LIBPATH:D:\\cygwin\\home\\db3l\\buildarea\\3.x.bolen-windows\\build\\libs', '/LIBPATH:D:\\cygwin\\home\\db3l\\buildarea\\3.x.bolen-windows\\build\\PCbuild', '/EXPORT:initxx', 'c:\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\Debug\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\xxmodule.obj', '/OUT:c:\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\xx_d.pyd', '/IMPLIB:c:\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\Debug\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\xx_d.lib', '/MANIFESTFILE:c:\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\Debug\\docume~1\\db3l\\locals~1\\temp\\tmp3sylqy\\tmp4kk72e\\xx_d.pyd.manifest']' failed with exit status 1120
msg136442 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-21 14:27
Many other failures in http://www.python.org/dev/buildbot/all/builders/x86%20XP-4%203.x/builds/4630/steps/test/logs/stdio , by the way
msg136460 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2011-05-21 18:13
As I said on python-dev, I am aware of the failures. I have fixed most of them today and yesterday. I have four left including this one.

So no need to add more issues, I am on it :)
msg136461 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-21 18:15
Specifically, the "spawn" function *must* be fixed to include stderr in the exception message.
msg136462 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2011-05-21 18:19
That's a feature request then, so we will see this once the bbot are green
msg136464 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-05-21 18:22
Same request for distutils in issue11599, by the way.
msg136543 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-22 17:21
Let’s make one bug for both requests (print whole command line + print stderr), fix it in packaging and discuss if it can be backported to distutils.
History
Date User Action Args
2016-05-06 12:33:50berker.peksagsetstatus: open -> closed
2014-03-13 09:54:58eric.araujosetresolution: out of date
stage: needs patch -> resolved
2011-05-22 17:21:31eric.araujosetmessages: + msg136543
2011-05-21 18:22:27pitrousetmessages: + msg136464
2011-05-21 18:19:15tareksetpriority: critical -> normal
type: behavior -> enhancement
messages: + msg136462

title: test_packaging failure under Windows -> The spawn function should return stderr.
2011-05-21 18:15:55pitrousetmessages: + msg136461
2011-05-21 18:13:03tareksetmessages: + msg136460
2011-05-21 14:27:21pitrousetmessages: + msg136442
2011-05-21 14:26:02pitroucreate